3.1. Prerequisites

Minimum hardware

Performance warning

All feature plans of Email Gateway Security were verified to be able to run on this minimum hardware. The performance may, however, fall ways below the expectations on it.

For details about feature plans see 1. Licensing.

CPU

RAM

SSD

NIC

6 Cores

32 GB DDR4

256 GB

1 GbE

Space details

Please note that this hard disk space is only enough for installing MetaDefender Email Gateway Security and for very limited operation.

Quarantine and permanently failing emails (especially with large attachments) may consume huge disk volumes.

Storage performance concerns

For performance reasons it is not recommended to use HDD instead of SSD.

Software

Operating system

Distribution

Version

Bitness

Microsoft Windows

7 / 8 / 8.1 / 10

64 bit

Microsoft Windows Server

2008 R2 / 2012 / 2012 R2 / 2016 / 2019

64 bit

Ports

Direction

Service

Port

Inbound

SMTP service

10025

Inbound

Web Management Console and REST interface

8058

Supported browsers

One of the following desktop browsers is required to use the Web Management Console:

  • Latest two Chrome versions

  • Latest two Firefox versions

  • Latest two Safari versions

  • Latest two Microsoft Edge versions

3rd party frameworks or components

Name

Version

Notes

Microsoft .NET Framework

4.5

Required

OpenSSL

Latest

Optional, only if TLS is in use.

Directories

This section contains references to directories used by Email Gateway Security.

In further sections of this user guide the directory reference is used instead of the actual directory to refer to locations on the system disk.

Everything, except logs, is placed under the installation folder.

Directory reference

Directory path

Installation folder

C:\Program Files\OPSWAT\Metadefender Email Security

Event log files

C:\Windows\System32\WinEvt\Logs

Recommended MetaDefender Core and engine versions

Standalone only

This section applies to Email Gateway Security standalone edition only. For details see 1. Licensing.

Component

Recommended version

MetaDefender Core

4.17.3

Archive

engine

5.3.1-717

database

5.3.1-717

Deep CDR

engine

5.7.4-3929

database

5.1.1

Proactive DLP

engine

2.3.0-1584456036

database

Latest